import sys
import os
sys.path.append(os.getcwd())    # noqa E402
import decorator
import functools


@functools.lru_cache(maxsize=4)
@decorator.count_calls
def fib(num):
    if num < 2:
        return num
    return fib(num - 1) + fib(num - 2)
